# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Class ContactEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.contacts.BasePersonEntry<ContactEntry>
                      com.google.gdata.data.contacts.ContactEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ContactEntry

extends BasePersonEntry<ContactEntry>

Describes a contact entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Contact kind category.
`static java.lang.String` `KIND` Contact kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ContactEntry()` Default mutable constructor.
`ContactEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addGroupMembershipInfo(GroupMembershipInfo groupMembershipInfo)` Adds a new group membership info.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Deleted` `getDeleted()` Returns the marker for deleted entries.
`java.util.List<GroupMembershipInfo>` `getGroupMembershipInfos()` Returns the group membership infos.
`boolean` `hasDeleted()` Returns whether it has the marker for deleted entries.
`boolean` `hasGroupMembershipInfos()` Returns whether it has the group membership infos.
`void` `setDeleted(Deleted deleted)` Sets the marker for deleted entries.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.contacts.BasePersonEntry

`addCalendarLink, addEmailAddress, addEvent, addExtendedProperty, addExternalId, addHobby, addImAddress, addJot, addLanguage, addOrganization, addPhoneNumber, addPostalAddress, addRelation, addStructuredPostalAddress, addUserDefinedField, addWebsite, getBillingInformation, getBirthday, getCalendarLinks, getContactEditPhotoLink, getContactPhotoLink, getDirectoryServer, getEmailAddresses, getEvents, getExtendedProperties, getExternalIds, getGender, getHobbies, getImAddresses, getInitials, getJots, getLanguages, getMaidenName, getMileage, getName, getNickname, getOccupation, getOrganizations, getPhoneNumbers, getPostalAddresses, getPriority, getRelations, getSensitivity, getShortName, getStructuredPostalAddresses, getSubject, getUserDefinedFields, getWebsites, getWhere, hasBillingInformation, hasBirthday, hasCalendarLinks, hasDirectoryServer, hasEmailAddresses, hasEvents, hasExtendedProperties, hasExternalIds, hasGender, hasHobbies, hasImAddresses, hasInitials, hasJots, hasLanguages, hasMaidenName, hasMileage, hasName, hasNickname, hasOccupation, hasOrganizations, hasPhoneNumbers, hasPostalAddresses, hasPriority, hasRelations, hasSensitivity, hasShortName, hasStructuredPostalAddresses, hasSubject, hasUserDefinedFields, hasWebsites, hasWhere, setBillingInformation, setBirthday, setDirectoryServer, setGender, setInitials, setMaidenName, setMileage, setName, setNickname, setOccupation, setPriority, setSensitivity, setShortName, setSubject, setWhere`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Contact kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Contact kind category.

Constructor Detail

### ContactEntry

    public ContactEntry()

  Default mutable constructor.

### ContactEntry

    public ContactEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BasePersonEntry<ContactEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDeleted

    public Deleted getDeleted()

  Returns the marker for deleted entries.

  Returns:
    marker for deleted entries

### setDeleted

    public void setDeleted(Deleted deleted)

  Sets the marker for deleted entries.

  Parameters:
    `deleted` - marker for deleted entries or `null` to reset

### hasDeleted

    public boolean hasDeleted()

  Returns whether it has the marker for deleted entries.

  Returns:
    whether it has the marker for deleted entries

### getGroupMembershipInfos

    public java.util.List<GroupMembershipInfo> getGroupMembershipInfos()

  Returns the group membership infos.

  Returns:
    group membership infos

### addGroupMembershipInfo

    public void addGroupMembershipInfo(GroupMembershipInfo groupMembershipInfo)

  Adds a new group membership info.

  Parameters:
    `groupMembershipInfo` - group membership info

### hasGroupMembershipInfos

    public boolean hasGroupMembershipInfos()

  Returns whether it has the group membership infos.

  Returns:
    whether it has the group membership infos

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `BasePersonEntry<ContactEntry>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasePersonEntry<ContactEntry>`